org.apache.ivy.osgi.repo

## Class BundleRepoDescriptor

- java.lang.Object
- - org.apache.ivy.osgi.repo.RepoDescriptor
  - - org.apache.ivy.osgi.repo.EditableRepoDescriptor
    - - org.apache.ivy.osgi.repo.BundleRepoDescriptor

    public class BundleRepoDescriptor
    extends EditableRepoDescriptor

### Constructor Summary

Constructors
Constructor and Description
`BundleRepoDescriptor(java.net.URI baseUri, ExecutionEnvironmentProfileProvider profileProvider)`

### Method Summary

Methods
`java.lang.String` `getLastModified()`
`java.lang.String` `getName()`
`void` `populate(java.util.Iterator<ManifestAndLocation> it)`
`void` `setLastModified(java.lang.String lastModified)`
`void` `setName(java.lang.String name)`

### Methods inherited from class org.apache.ivy.osgi.repo.EditableRepoDescriptor

`addBundle, equals, findModule, findModules, getBaseUri, getCapabilities, getCapabilityValues, getLogLevel, getModules, hashCode, setLogLevel, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BundleRepoDescriptor

    public BundleRepoDescriptor(java.net.URI baseUri,
                        ExecutionEnvironmentProfileProvider profileProvider)

### Method Detail

#### setName

    public void setName(java.lang.String name)

#### getName

    public java.lang.String getName()

#### setLastModified

    public void setLastModified(java.lang.String lastModified)

#### getLastModified

    public java.lang.String getLastModified()

#### populate

    public void populate(java.util.Iterator<ManifestAndLocation> it)